Package org.apache.maven.shared.model.fileset.io.xpp3

# Class FileSetXpp3Writer

java.lang.Object
org.apache.maven.shared.model.fileset.io.xpp3.FileSetXpp3Writer

public class FileSetXpp3Writer extends Object
Class FileSetXpp3Writer.

Version:
  $Revision$ $Date$

## Constructor Summary

Constructors
Constructor
Description
`FileSetXpp3Writer()`

## Method Summary

Modifier and Type
Method
Description
`void`
`setFileComment(String fileComment)`
Method setFileComment.
`void`
`write(OutputStream stream, FileSet fileSet)`
Method write.
`void`
`write(Writer writer, FileSet fileSet)`
Method write.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FileSetXpp3Writer

public FileSetXpp3Writer()

## Method Details

### setFileComment

public void setFileComment(String fileComment)
Method setFileComment.

Parameters:
  `fileComment` -

### write

public void write(Writer writer, FileSet fileSet) throws IOException
Method write.

Parameters:
  `writer` -
  `fileSet` -
Throws:
  `IOException`

### write

public void write(OutputStream stream, FileSet fileSet) throws IOException
Method write.

Parameters:
  `stream` -
  `fileSet` -
Throws:
  `IOException`